Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002236TestLinkReportspublic2009-03-16 18:442010-11-14 12:07
Reportergayatrim 
Assigned ToJulian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 5 
Fixed in Version1.9 (Prague) 
Summary0002236: Incorrect 'Status of milestones' in the 'General Test plan metrics'
DescriptionThe the 'Status of milestones' is displayed incorrectly in the 'General Test plan metrics'.
Explaining the issue with the help of an example.

There are a total of 7 test cases in the system, of which 3 are of High urgency and 4 are of Medium urgency.

Total Test cases:7
High prio:3
Medium Prio:4

Now a milestone 'Milestone1' is set for 16/03/2009 with a target of
0% for High,
25% for Medium,
 0% for Low.

Now on 16/03/2009, the execution status of the test cases was updated as follows
1 (out of 3)testcase with High prio passed.
3 (out of 4)testcases with medium prio passed

Now on generating a 'General Test plan metrics' the attached report is generated.
Please check that the 'Status of milestones' in the report is erroneous.




TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0010904)
Hobbit159 (reporter)
2010-08-20 18:36

I am also seeing this issue on 1.9b5
(0010905)
fman (administrator)
2010-08-21 07:49

@Hobbit
Please give detailed steps to reproduce, with expected results and actual results, in order to allow a developer to analise
(0010960)
Hobbit159 (reporter)
2010-08-26 19:04

The scenario above is similar to what I am seeing.

1. I setup all my test cases for medium priority level and added them to a project to be executed.

2. Then ran the 23 of 380 test cases.

3. Setup milestone , date is today starting at least a month or two back and percentages are set to 10,20,and 45.

4. Run the Matrix report that shows Milestone.

Expected to see nothing in High and low but should see data in medium reflecting the percentage.

What I see is zero's report in each percentage category. The following is shown : 0.0% [0]. However the priority section of the page shows I have test cases that have been passed in the priority
(0011947)
Julian (reporter)
2010-10-18 07:49

Reminder sent to: asimon, Eloff, fman

we have to take care of milestones as they are not working anymore.

2 options:
- fix
- disable

what is your choice? i would like to see them fixed but wont have the time to take care of this.
(0011948)
fman (administrator)
2010-10-18 08:31

There is just one option -> fix it. I've same situation that Julian.
(0011951)
Julian (reporter)
2010-10-18 09:12

i will invest some time on that but require your feedback and tests after commit.
code seems like it could have never worked :)
(0011953)
Julian (reporter)
2010-10-18 12:47

code has been commited. i tested code for projects with and without priority enabled.
(0012081)
Julian (reporter)
2010-10-26 14:30

no feedback -> must be ok :)
(0012495)
fman (administrator)
2010-11-14 12:07

1.9 (Prague) Released

- Issue History
Date Modified Username Field Change
2009-03-16 18:44 gayatrim New Issue
2009-03-16 18:44 gayatrim File Added: p2_test_spec-2009-03-16.html
2010-08-20 18:36 Hobbit159 Note Added: 0010904
2010-08-21 07:47 fman File Deleted: p2_test_spec-2009-03-16.html
2010-08-21 07:49 fman Note Added: 0010905
2010-08-26 19:04 Hobbit159 Note Added: 0010960
2010-10-18 07:49 Julian Note Added: 0011947
2010-10-18 08:31 fman Note Added: 0011948
2010-10-18 09:12 Julian Note Added: 0011951
2010-10-18 09:13 Julian Assigned To => Julian
2010-10-18 09:13 Julian Status new => assigned
2010-10-18 12:47 Julian Note Added: 0011953
2010-10-18 12:47 Julian Status assigned => feedback
2010-10-26 14:30 Julian Note Added: 0012081
2010-10-26 14:30 Julian Status feedback => resolved
2010-10-26 14:30 Julian Fixed in Version => 1.9 (Prague)
2010-10-26 14:30 Julian Resolution open => fixed
2010-11-14 12:07 fman Note Added: 0012495
2010-11-14 12:07 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker